<?php

if (isset($argv[1]))
	$sel = basename($argv[1]);
else
	$sel = '*';

$files = glob("../$sel.c");

$resources = array(
	'allegro.pcx',
	'example.dat',
	'exconfig.ini',
	'mysha.pcx',
	'planet.pcx',
	'running.dat',
	'unifont.dat'
);

foreach ($files as &$file)
{
	$file = substr($file,3,-2);
}

$tpl = <<<EOF
TARGET = %%
OBJS = ../../%%.o

INCDIR = 
CFLAGS = -Os -G2 -IA:\include -LA:\lib\psp
CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
ASFLAGS = $(CFLAGS)

LIBDIR = 
LDFLAGS = 
LIBS = -lalleg -lpspgu -lpspirkeyb -lpsppower -lm -lc

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Allegro-PSP Example (%%)
PSP_EBOOT_ICON = ../ICON0.png

PSPSDK=$(shell psp-config --pspsdk-path)
include $(PSPSDK)/lib/build.mak
EOF;

error_reporting(E_ALL & ~E_WARNING);

foreach ($files as $file)
{
	mkdir($file);
	file_put_contents($file.'/Makefile',str_replace('%%',$file,$tpl));
	chdir($file);
	passthru('make');
	echo "\n\n";
	chdir('..');
}

foreach ($files as $file)
{
	unlink("$file/Makefile");
	unlink("$file/PARAM.SFO");
	unlink("$file/$file.elf");
}

foreach (glob("../$sel.o") as $o)
{
	unlink($o);
}

foreach ($files as $file)
{
	$data = file_get_contents("../$file.c");
	foreach ($resources as $r)
	{
		if (strpos($data,$r) !== false)
		{
			copy("../$r","$file/$r");
		}
	}
}
