/*         ______   ___    ___ 
 *        /\  _  \ /\_ \  /\_ \ 
 *        \ \ \L\ \\//\ \ \//\ \      __     __   _ __   ___ 
 *         \ \  __ \ \ \ \  \ \ \   /'__`\ /'_ `\/\`'__\/ __`\
 *          \ \ \/\ \ \_\ \_ \_\ \_/\  __//\ \L\ \ \ \//\ \L\ \
 *           \ \_\ \_\/\____\/\____\ \____\ \____ \ \_\\ \____/
 *            \/_/\/_/\/____/\/____/\/____/\/___L\ \/_/ \/___/
 *                                           /\____/
 *                                           \_/__/
 *
 *      Configuration defines for use with psp-gcc.
 *
 *      By Julian Smythe.
 *
 *      See readme.txt for copyright information.
 */


#ifndef SCAN_DEPEND
	#include <sys/fcntl.h>
	#include <malloc.h>
#endif /* SCAN_DEPEND */

#ifndef O_BINARY
#define O_BINARY 0
#endif /* O_BINARY */

#define ALLEGRO_PLATFORM_STR "PSP"
#define ALLEGRO_HAVE_STDINT_H 1
#define ALLEGRO_LITTLE_ENDIAN 1
#define ALLEGRO_USE_CONSTRUCTOR

#define AL_VAR(type, name)                   extern type name
#define AL_ARRAY(type, name)                 extern type name[]
#define AL_FUNC(type, name, args)            extern type name args
#define AL_METHOD(type, name, args)          type (*name) args
#define AL_FUNCPTR(type, name, args)         extern type (*name) args

#define ALLEGRO_EXTRA_HEADER     "allegro/platform/alpspos.h"
